libnvme(2)

NAME
struct nvme_mi_admin_req_hdr - Admin command request header.

SYNOPSIS
struct nvme_mi_admin_req_hdr {
struct nvme_mi_msg_hdr hdr;
__u8 opcode;
__u8 flags;
__le16 ctrl_id;
__le32 cdw1, cdw2, cdw3, cdw4, cdw5;
__le32 doff;
__le32 dlen;
__le32 rsvd0, rsvd1;
__le32 cdw10, cdw11, cdw12, cdw13, cdw14, cdw15;
};

Members

hdr Generic MI message header

opcode
    Admin command opcode (using enum nvme_admin_opcode)

flags
    Command Flags, indicating dlen and doff validity; Only defined in NVMe-MI version 1.1, no fields defined in 1.2 (where the dlen/doff are always considered valid).

ctrl_id
    Controller ID target of command

cdw1
    Submission Queue Entry doubleword 1

cdw2
    Submission Queue Entry doubleword 2

cdw3
    Submission Queue Entry doubleword 3

cdw4
    Submission Queue Entry doubleword 4

cdw5
    Submission Queue Entry doubleword 5

doff
    Offset of data to return from command

dlen
    Length of sent/returned data

rsvd0
    Reserved

rsvd1
    Reserved

cdw10
    Submission Queue Entry doubleword 10

cdw11
    Submission Queue Entry doubleword 11

cdw12
    Submission Queue Entry doubleword 12

cdw13
    Submission Queue Entry doubleword 13

cdw14
    Submission Queue Entry doubleword 14

cdw15
    Submission Queue Entry doubleword 15

Description
Wire format for Admin command message headers, defined in section 6 of NVMe-MI.